List rewards
This endpoint returns all earning rewards
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
recipientAddressId
cursor.currentPage
Base64-encoded string representing the current window of data
cursor.pageRequest
The page to request, w.r.t the current page.
Can be one of FIRST, PREVIOUS, NEXT, LAST
cursor.pageSize
The size of the page requested. The handling service should impose a hard limit on this
Response
A successful response.
rewards
cursor
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error